std::ostream_iterator< _Tp, _CharT, _Traits >(3cxx)

NAME
std::ostream_iterator< _Tp, _CharT, _Traits > - Provides output iterator semantics for streams.

SYNOPSIS

#include <stream_iterator.h>

Inherits std::iterator< output_iterator_tag, void, void, void, void >.

  Public Types

typedef void difference_type
Distance between iterators is represented as this type.
typedef output_iterator_tag iterator_category
One of the tag types.
typedef void pointer
This type represents a pointer-to-value_type.
typedef void reference
This type represents a reference-to-value_type.
typedef void value_type
The type 'pointed to' by the iterator.

typedef _CharT char_type
Public typedef.
typedef _Traits traits_type
Public typedef.
typedef basic_ostream< _CharT, _Traits > ostream_type
Public typedef.

  Public Member Functions

ostream_iterator (const ostream_iterator &__obj)
Copy constructor.
ostream_iterator (ostream_type &__s)
Construct from an ostream.
ostream_iterator (ostream_type &__s, const _CharT *__c)
ostream_iterator & operator* ()
ostream_iterator & operator++ ()
ostream_iterator & operator++ (int)
ostream_iterator & operator= (const _Tp &__value)
Writes value to underlying ostream using operator<<. If constructed with delimiter string, writes delimiter to ostream.
ostream_iterator & operator= (const ostream_iterator &)=default

Detailed Description

  template<typename _Tp, typename _CharT = char, typename _Traits = char_traits<_CharT>>
class std::ostream_iterator< _Tp, _CharT, _Traits >"Provides output iterator semantics for streams.

This class provides an iterator to write to an ostream. The type Tp is the only type written by this iterator and there must be an operator<<(Tp) defined.

Template Parameters
    _Tp The type to write to the ostream.
    _CharT The ostream char_type.
    _Traits The ostream char_traits.

Member Typedef Documentation

  template<typename _Tp , typename _CharT = char, typename _Traits = char_traits<_CharT>> typedef _CharT std::ostream_iterator< _Tp, _CharT, _Traits >::char_type

Public typedef.

  typedef void std::iterator< output_iterator_tag , void , void , void , void >::difference_type [inherited]

Distance between iterators is represented as this type.

  typedef output_iterator_tag std::iterator< output_iterator_tag , void , void , void , void >::iterator_category [inherited]

One of the tag types.

  template<typename _Tp , typename _CharT = char, typename _Traits = char_traits<_CharT>> typedef basic_ostream<_CharT, _Traits> std::ostream_iterator< _Tp, _CharT, _Traits >::ostream_type

Public typedef.

  typedef void std::iterator< output_iterator_tag , void , void , void , void >::pointer [inherited]

This type represents a pointer-to-value_type.

  typedef void std::iterator< output_iterator_tag , void , void , void , void >::reference [inherited]

This type represents a reference-to-value_type.

  template<typename _Tp , typename _CharT = char, typename _Traits = char_traits<_CharT>> typedef _Traits std::ostream_iterator< _Tp, _CharT, _Traits >::traits_type

Public typedef.

  typedef void std::iterator< output_iterator_tag , void , void , void , void >::value_type [inherited]

The type 'pointed to' by the iterator.

Constructor & Destructor Documentation

  template<typename _Tp , typename _CharT = char, typename _Traits = char_traits<_CharT>> std::ostream_iterator< _Tp, _CharT, _Traits >::ostream_iterator (ostream_type & __s) [inline]

Construct from an ostream.

  template<typename _Tp , typename _CharT = char, typename _Traits = char_traits<_CharT>> std::ostream_iterator< _Tp, _CharT, _Traits >::ostream_iterator (ostream_type & __s, const _CharT * __c) [inline]
Construct from an ostream.

The delimiter string c is written to the stream after every Tp written to the stream. The delimiter is not copied, and thus must not be destroyed while this iterator is in use.

Parameters
    __s Underlying ostream to write to.
    __c CharT delimiter string to insert.

  template<typename _Tp , typename _CharT = char, typename _Traits = char_traits<_CharT>> std::ostream_iterator< _Tp, _CharT, _Traits >::ostream_iterator (const ostream_iterator< _Tp, _CharT, _Traits > & __obj) [inline]

Copy constructor.

Member Function Documentation

  template<typename _Tp , typename _CharT = char, typename _Traits = char_traits<_CharT>> ostream_iterator & std::ostream_iterator< _Tp, _CharT, _Traits >::operator= (const _Tp & __value) [inline]

Writes value to underlying ostream using operator<<. If constructed with delimiter string, writes delimiter to ostream.

Author

Generated automatically by Doxygen for libstdc++ from the source code.